Name:		desktopextra-pcmanfm
Summary:	Advanced Icons for PCManFM
Summary(de):	Erweiterte Symbole für PCManFM
Version:	0.4
Release:	%mkrel 1
Group:		Graphical desktop/LXDE
License:	GPL
URL:		http://www.pclinuxos.com/
Source:		%{name}-%{version}.tar.xz

Buildroot: %_tmppath/%{name}-%{version}-%{release}
BuildArch:	noarch

%description
The My Documents Desktop icon for PCManFM.


#german
%description -l de
Das Meine Dateien Symbol für PCManFM.

%files 
%defattr(-,root,root)
%{_sysconfdir}/skel/Desktop/myhome.desktop

############## pcmanfm-root #########################################

%package -n pcmanfm-root
Summary:	pcmanfm-root
Group:		Graphical desktop/LXDE
Requires:	pcmanfm
Provides:	pcmanfm-root
BuildArch:	noarch

%description -n pcmanfm-root
PCManFM-Root for the start menu.

%description -n pcmanfm-root -l de
PCManFM-Root für das Start-Menü.

%files -n pcmanfm-root
%defattr(-,root,root)
%{_datadir}/applications/pcmanfm-root.desktop

############### lxtermanil-root #####################################

%package -n lxterminal-root
Summary:	lxterminal-root
Group:		Graphical desktop/LXDE
Requires:	lxterminal
Provides:	lxterminal-root
BuildArch:	noarch

%description -n lxterminal-root
LXTeriminal-Root for the start menu.

%description -n lxterminal-root -l de
LXTerminal-Root für das Start-Menü.

%files -n lxterminal-root
%defattr(-,root,root)
%{_datadir}/applications/lxterminal-root.desktop
############### build area ##########################################

%prep
%setup -q 

%build

%install 
rm -rf %buildroot

install -d -m 0755 %buildroot%{_sysconfdir}/skel/Desktop
install -m 0644 myhome.desktop %buildroot%{_sysconfdir}/skel/Desktop
install -d -m 0755 %buildroot%{_datadir}/applications
install -m 0644 pcmanfm-root.desktop %buildroot%{_datadir}/applications
install -m 0644 lxterminal-root.desktop %buildroot%{_datadir}/applications

%post
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS 
do 
	DESKTOP_NAME=$(grep "XDG_DESKTOP_DIR" /home/$idx/.config/user-dirs.dirs | sed -e 's/XDG_DESKTOP_DIR=\"$HOME\///g' | sed -e "s/\"//g")

	if [ -e /home/$idx/$DESKTOP_NAME ]; then
   		cp -af /etc/skel/Desktop/myhome.desktop /home/$idx/Desktop/myhome.desktop
   		chown "$idx:$idx" /home/$idx/$DESKTOP_NAME/myhome.desktop
	fi
done

%postun
if [ $1 -eq 0 ]; then
	SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
	for idx in $SYSUSERS 
	do

		DESKTOP_NAME=$(grep "XDG_DESKTOP_DIR" /home/$idx/.config/user-dirs.dirs | sed -e 's/XDG_DESKTOP_DIR=\"$HOME\///g' | sed -e "s/\"//g") 
		
		if [ -e /home/$idx/$DESKTOP_NAME ]; then
   			rm -f /home/$idx/$DESKTOP_NAME/trash.desktop 
   			rm -f/home/$idx/$DESKTOP_NAME/myhome.desktop
		fi
	done
fi



%clean
rm -fr %buildroot
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

################## changelog ########################################

%changelog
* Tue Aug 12 2014 ghostbunny <ghostbunny at gmx dot de> 0.4-1pclos2014
- remove trash.desktop from source, the trash icon is generated by pcmanfm itself
- put the desktop file into the localized desktop folder

* Sat Jul 26 2014 ghostbunny <ghostbunny at gmx dot de> 0.3-2pclos2014
- set build arch to noarch just desktop files are distributed
- transform posttrans scriptlet into post
- add a postun scriptlet which removes the desktop files from users desktop
  if the package is deinstalled
- don't chown recursivly single files

* Tue Jan 01 2013 daniel <meisssw01 at gmail.com> 0.3-1leiche2013
- add root-lxterminal

* Wed Nov 28 2012 daniel <meisssw01 at gmail.com> 0.2-2leiche2012
- set pcmanfm-root as an own package

* Tue Nov 27 2012 daniel <meisssw01 at gmail.com> 0.2-1leiche2012
- add pcmanfm-root for the menu

* Mon Feb 28 2011 Neal <nealbrks0 at gmail dot com> 0.1-1pclos2010
- first build of desktop-extras-pcmanfm
- add german language for desktop files, 
  and synaptic description (leiche)

